Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# filechooserbutton.hh File Reference

A GtkFileChooserButton C++ wrapper interface. More...

`#include <xfc/gtk/box.hh>`
`#include <xfc/gtk/filechooser.hh>`
`#include <gtk/gtkfilechooserbutton.h>`
`#include <xfc/gtk/inline/filechooserbutton.inl>`

## Namespaces

- namespace Xfc
- namespace Xfc::Gtk

## Classes

- class Xfc::Gtk::FileChooserButton
    A GtkFileChooserButton C++ wrapper class. More...
- class Xfc::Gtk::FileChooserOpenButton
    A GtkFileChooserButton "File/Open" C++ wrapper class. More...

## Detailed Description

A GtkFileChooserButton C++ wrapper interface.

Provides FileChooserButton, a button to launch a file selection dialog.
Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3